<?php

/**
 * User handler for images
 *
 * @param TexyHandlerInvocation  handler invocation
 * @param TexyImage
 * @param TexyLink
 * @return TexyHtml|string|FALSE
 */
function imageHandler($invocation, $image, $link)
{
	if ($image->URL == 'user')  // accepts only [* user *]
	{
		$image->URL = 'image.gif'; // image URL
		$image->overURL = 'image-over.gif'; // onmouseover image
		$image->modifier->title = 'Texy! logo';
		if ($link) $link->URL = 'big.gif'; // linked image
	}

	return $invocation->proceed($image, $link);
}


function wnfTexy($text) {
    $texypfad = module_load_include('php', 'wnffiltertexy', 'texy');
    $s = $text;
    $s = str_replace('__BILDER__', 'bilder', $s);
    $s = str_replace('__PFAD__', $texypfad, $s);
	# Setup static parser variable.
	static $parser;
	if (!isset($parser)) {
        $parser = new Texy();
        $parser->addHandler('image', 'imageHandler');
        //$parser->imageModule->root       = 'imagesdir/';       // "in-line" images root
        $parser->imageModule->root       = 'bilder';       // "in-line" images root
        $parser->imageModule->linkedRoot = 'imagesdir/big/';   // "linked" images root
        $parser->imageModule->leftClass  = 'my-left-class';    // left-floated image modifier
        $parser->imageModule->rightClass = 'my-right-class';   // right-floated image modifier
        $parser->imageModule->defaultAlt = 'default alt. text';// default image alternative text
	}

	# Transform text using parser.
	$s = $parser->process($s);
    return ($s);  // that's all folks!
}

echo wnfTexy("Hallo");

?> 
